# Get

Launch stage: GA

`GET /api/2.1/{name=clusters/*/revisions/*}`

Get details of a cluster revision.

API scopes: clusters

## Path parameters

- `name` (string, optional)
  The fully qualified resource name of the cluster revision.
   Format: clusters/{cluster_id}/revisions/{revision_id}.

## Returns

Returns the ClusterRevision object.

## Response

```json
{
  "revision_id": "string",
  "create_time": "string",
  "settings": {
    "apply_policy_default_values": true,
    "cluster_name": "string",
    "spark_version": "string",
    "spark_conf": {},
    "aws_attributes": {},
    "azure_attributes": {},
    "gcp_attributes": {},
    "node_type_id": "string",
    "driver_node_type_id": "string",
    "worker_node_type_flexibility": {},
    "driver_node_type_flexibility": {},
    "ssh_public_keys": [
      "string"
    ],
    "custom_tags": {},
    "cluster_log_conf": {},
    "spark_env_vars": {},
    "autotermination_minutes": 0,
    "enable_elastic_disk": true,
    "init_scripts": [
      {}
    ],
    "docker_image": {},
    "instance_pool_id": "string",
    "single_user_name": "string",
    "policy_id": "string",
    "enable_local_disk_encryption": true,
    "driver_instance_pool_id": "string",
    "workload_type": {},
    "data_security_mode": "string",
    "runtime_engine": "string",
    "kind": "string",
    "use_ml_runtime": true,
    "is_single_node": true,
    "remote_disk_throughput": 0,
    "total_initial_remote_disk_size": 0,
    "dependency_mode": "string",
    "num_workers": 0,
    "autoscale": {}
  },
  "edit_reason": "string",
  "edit_user": "string",
  "is_current": true
}
```

